larcm(3)

NAME
larcm - larcm: real * complex matrix-matrix multiply

SYNOPSIS

  Functions

subroutine clarcm (m, n, a, lda, b, ldb, c, ldc, rwork)
CLARCM copies all or part of a real two-dimensional array to a complex array.
subroutine zlarcm (m, n, a, lda, b, ldb, c, ldc, rwork)
ZLARCM copies all or part of a real two-dimensional array to a complex array.

Detailed Description

Function Documentation

  subroutine clarcm (integer m, integer n, real, dimension( lda, * ) a, integer lda, complex, dimension( ldb, * ) b, integer ldb, complex, dimension( ldc, * ) c, integer ldc, real, dimension( * ) rwork)

CLARCM copies all or part of a real two-dimensional array to a complex array.

Purpose:

    !>
    !> CLARCM performs a very simple matrix-matrix multiplication:
    !>          C := A * B,
    !> where A is M by M and real; B is M by N and complex;
    !> C is M by N and complex.
    !>

Parameters
    M

    !>          M is INTEGER
    !>          The number of rows of the matrix A and of the matrix C.
    !>          M >= 0.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns and rows of the matrix B and
    !>          the number of columns of the matrix C.
    !>          N >= 0.
    !>

    A

    !>          A is REAL array, dimension (LDA, M)
    !>          On entry, A contains the M by M matrix A.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array A. LDA >=max(1,M).
    !>

    B

    !>          B is COMPLEX array, dimension (LDB, N)
    !>          On entry, B contains the M by N matrix B.
    !>

    LDB

    !>          LDB is INTEGER
    !>          The leading dimension of the array B. LDB >=max(1,M).
    !>

    C

    !>          C is COMPLEX array, dimension (LDC, N)
    !>          On exit, C contains the M by N matrix C.
    !>

    LDC

    !>          LDC is INTEGER
    !>          The leading dimension of the array C. LDC >=max(1,M).
    !>

    RWORK

    !>          RWORK is REAL array, dimension (2*M*N)
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  subroutine zlarcm (integer m, integer n, double precision, dimension( lda, * ) a, integer lda, complex*16, dimension( ldb, * ) b, integer ldb, complex*16, dimension( ldc, * ) c, integer ldc, double precision, dimension( * ) rwork)

ZLARCM copies all or part of a real two-dimensional array to a complex array.

Purpose:

    !>
    !> ZLARCM performs a very simple matrix-matrix multiplication:
    !>          C := A * B,
    !> where A is M by M and real; B is M by N and complex;
    !> C is M by N and complex.
    !>

Parameters
    M

    !>          M is INTEGER
    !>          The number of rows of the matrix A and of the matrix C.
    !>          M >= 0.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns and rows of the matrix B and
    !>          the number of columns of the matrix C.
    !>          N >= 0.
    !>

    A

    !>          A is DOUBLE PRECISION array, dimension (LDA, M)
    !>          On entry, A contains the M by M matrix A.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array A. LDA >=max(1,M).
    !>

    B

    !>          B is COMPLEX*16 array, dimension (LDB, N)
    !>          On entry, B contains the M by N matrix B.
    !>

    LDB

    !>          LDB is INTEGER
    !>          The leading dimension of the array B. LDB >=max(1,M).
    !>

    C

    !>          C is COMPLEX*16 array, dimension (LDC, N)
    !>          On exit, C contains the M by N matrix C.
    !>

    LDC

    !>          LDC is INTEGER
    !>          The leading dimension of the array C. LDC >=max(1,M).
    !>

    RWORK

    !>          RWORK is DOUBLE PRECISION array, dimension (2*M*N)
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Author

Generated automatically by Doxygen for LAPACK from the source code.